#!/usr/bin/python

# Computer side of IRMon really simple Arduino IR remote listener.
# http://www.lucaseckels.com/irmon

import sys
import time
import serial
import datetime

PORT = '/dev/tty.usbserial-A7007sBx'

ser = serial.Serial(PORT)
then = datetime.datetime.now(1970, 1, 1)

while 1:
    line = ser.readline();
    if (line.strip() == "Recognized"):
        # Do some basic debouncing, especially since many remotes
        # emit the signal several times.
        now = datetime.datetime.now()
        if (now - then > datetime.timedelta(0,30)):
            print "Do something interesting"
        then = now
